### Signal

# GdkPixbuf PixbufLoader::area-updated

#### Declaration

    void
    area_updated (
      GdkPixbufLoader* self,
      gint x,
      gint y,
      gint width,
      gint height,
      gpointer user_data
    )

#### Description [src]

This signal is emitted when a significant area of the image being loaded has been updated.

Normally it means that a complete scanline has been read in, but it could be a different area as well.

Applications can use this signal to know when to repaint areas of an image that is being loaded.

Default handler: | The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`x` | `gint`
| X offset of upper-left corner of the updated area.
`y` | `gint`
| Y offset of upper-left corner of the updated area.
`width` | `gint`
| Width of updated area.
`height` | `gint`
| Height of updated area.